# https://github.com/gnumdk/lollypop-portal/commit/8f3fec20c99498a48f33df00eb64d5af20f81a38
%global commit0 8f3fec20c99498a48f33df00eb64d5af20f81a38
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global subpkg  lollypop-portal

Name:           lollypop
Version:        0.9.223
Release:        3%{?dist}
Summary:        Music player for GNOME

License:        GPLv3+
URL:            http://gnumdk.github.io/lollypop/
Source0:        https://github.com/gnumdk/lollypop/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/gnumdk/lollypop-portal/archive/%{commit0}/%{subpkg}-%{commit0}.tar.gz
BuildRequires:  gobject-introspection-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  python3-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  itstool
Requires:       gstreamer1-plugins-base
Requires:       gobject-introspection
Requires:       libnotify >= 0.7.6
Requires:       python3-gobject
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       pylast
Requires:       gdk-pixbuf2
Requires:       pango
Requires:       gtk3
Requires:       kid3-common
# wikipedia, last.fm support
Requires:       python3-wikipedia
Requires:       python3-pylast
Requires:       %{name}-portal = %{version}-%{release}
BuildArch:      noarch

%description
Lollypop is a new GNOME music playing application.

%package        portal
Summary:        Lollypop flatpak portal (advanced features)
BuildArch:      noarch

%description    portal
Lollypop flatpak portal (advanced features for Lollypop).
Lollypop portal dbus service allow Lollypop to launch external
commands (pa-cmd, kid3-cli, ...) through flatpak sandbox.
This service is also used when running without sandbox.

%package cli
Summary:        CLI for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description cli
This package provides a command-line interface to 
export play-lists to m3u format in current directory or
allow user to add YouTube tracks.


%prep
%autosetup -a1
# E: wrong-script-interpreter 
sed -i -e 's|#!/usr/bin/env python3|#!/usr/bin/python3|g' %{name}.in
sed -i -e 's|#!/usr/bin/env python3|#!/usr/bin/python3|g' %{name}-cli.in
sed -i -e 's|#!/usr/bin/env python3|#!/usr/bin/python3|g' search-provider/%{name}-sp.in
sed -i -e 's|#!/usr/bin/env python3|#!/usr/bin/python3|g' %{subpkg}-%{commit0}/%{subpkg}.in

%build
pushd %{subpkg}-%{commit0}
     NOCONFIGURE=1 ./autogen.sh
     %configure
popd
%make_build -C %{subpkg}-%{commit0}
%configure
%make_build

%install
%make_install
%make_install -C %{subpkg}-%{commit0}
%find_lang %{name} --with-gnome

# set correct file permission
chmod 755 %{buildroot}%{_datadir}/%{name}/lollypop-sp
chmod 755 %{buildroot}%{_datadir}/%{subpkg}/%{subpkg}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml

%post
/usr/bin/update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS TODO
%license COPYING 
%{_bindir}/%{name}
%{_bindir}/rhythmbox2lollypop
%{_datadir}/%{name}/
%exclude %{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/appdata/%{name}.*.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}-symbolic.svg
%{_datadir}/dbus-1/services/org.gnome.Lollypop.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/%{name}-search-provider.ini
%{python3_sitelib}/%{name}

%files portal
%doc %{subpkg}-%{commit0}/{README.md,COPYING}
%license %{subpkg}-%{commit0}/LICENSE
%{_datadir}/dbus-1/services/org.gnome.Lollypop.Portal.service
%{_datadir}/%{subpkg}/%{subpkg}

%files cli
%{_bindir}/%{name}-cli


%changelog
* Sun Dec 11 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.223-3
- Add some documentation fixes

* Sat Dec 10 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.223-2
- Add Requires to base package
- Remove Requires on the subpkg lollypop-portal
- Add NOCONFIGURE=1 ./autogen.sh to subpkg lollypop-portal

* Fri Dec 09 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.223-1
- Update to 0.9.223
- Add subpkg lollypop-cli

* Thu Dec 08 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.222-1
- Update to 0.9.222
- Set correct file permission
- Add subpkg lollypop-portal

* Fri Nov 25 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.220-1
- Update to 0.9.220

* Wed Nov 23 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.219-1
- Update to 0.9.219
- Add %%attr to correct file permisson

* Mon Nov 14 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.216-1
- Update to 0.9.216

* Mon Oct 24 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.213-1
- Update to 0.9.213

* Sat Oct 08 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.210-1
- Update to 0.9.210

* Thu Oct 06 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.209-1
- Update to 0.9.209

* Sun Oct 02 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.206-1
- Update to 0.9.206
- Added Requires: kid3-common
- Added Requires: python3-pylast
- Added Requires: python3-wikipedia

* Mon Sep 26 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.205-1
- Update to 0.9.205

* Wed Sep 21 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.204-1
- Update to 0.9.204
- Use full path for scriptlets
- Corrected ownership of %%{_datadir/%%{name}/ in file section
- Dropped Requires: gstreamer1

* Sun Sep 18 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.202-1
- Update to 0.9.202
- Added pylast Requirement

- Mon Aug 01 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.112-2
- Added pylast Requirement

* Mon Jul 25 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.112-1
- Initial package
